Name: cutter
Version: 1.2.2
Release: %mkrel 1

Summary: Unit Testing Framework for C/C++
License: LGPLv3+
URL: http://cutter.sourceforge.net/
Group: Development/Libraries
Source: http://downloads.sourceforge.net/cutter/cutter-%{version}.tar.xz
# fix gtk debug detection in configure.ac (already fixed in upstream)
Patch0: cutter-configure-gtk-debug-detection.diff
# use GDK instead of gdk in help message (already fixed in upstream)
Patch1: cutter-test-use-upper-case-gdk-literal.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: autoconf
BuildRequires: intltool
BuildRequires: glib2-devel
BuildRequires: libsoup-devel
BuildRequires: gtk2-devel
BuildRequires: %{_lib}goffice0.8_8-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel


%description
Cutter is a xUnit family Unit Testing Framework for C/C++.
Cutter provides easy to write test and easy to debug code environment.

%package devel
Summary:        Libraries and header files for Cutter development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Libraries and header files for Cutter.
Cutter is a xUnit family Unit Testing Framework for C/C++.
Cutter provides easy to write test and easy to debug code environment.

%package gui
Summary:        GUI Test module for Cutter
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description gui
GUI Test module for Cutter.
Cutter is a xUnit family Unit Testing Framework for C/C++.
Cutter provides easy to write test and easy to debug code environment.

%package report
Summary:        PDF report module for Cutter
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description report
PDF report module for Cutter.
Cutter is a xUnit family Unit Testing Framework for C/C++.
Cutter provides easy to write test and easy to debug code environment.

%package gstreamer
Summary:        Cutter GStreamer plugin
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description gstreamer
Cutter plugin which relays testing results via GStreamer.
Cutter is a xUnit family Unit Testing Framework for C/C++.
Cutter provides easy to write test and easy to debug code environment.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoconf
%configure2_5x --disable-bfd 
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i -e 's| -shared | -Wl,--as-needed\0|g' libtool

%make

%install
# replace to proper directory
sed -i 's|/usr/local/share/doc/cutter|%{_defaultdocdir}/%{name}-%{version}|g' doc/cutter.man
sed -i "s|/usr/local/share/doc/cutter/ja|%{_defaultdocdir}/%{name}-%{version}|g" doc/cutter.jman
%makeinstall_std 

# remove needless config directory of sample. this one will be generated by autogen.sh.
# already fixed in upstream.
rm -rf %{buildroot}%{_datadir}/cutter/stack/config

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-man --all-name

%check
make check LD_LIBRARY_PATH=$(pwd)/cppcutter/.libs:$(pwd)/cutter/.libs:$(pwd)/gdkcutter-pixbuf/.libs:$(pwd)/soupcutter/.libs:$(pwd)/test/lib/.libs

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.ja NEWS NEWS.ja TODO FEATURES FEATURES.ja TUTORIAL TUTORIAL.ja USERS USERS.ja license/fdl-1.3.txt license/lgpl-3.txt
%{_bindir}/*
%dir %{_libdir}/cutter
%dir %{_libdir}/cutter/module
%dir %{_libdir}/cutter/module/factory
%dir %{_libdir}/cutter/module/factory/report
%dir %{_libdir}/cutter/module/factory/ui
%dir %{_libdir}/cutter/module/report
%dir %{_libdir}/cutter/module/ui
%{_libdir}/cutter/module/factory/report/xml_factory.so
%{_libdir}/cutter/module/factory/stream/
%{_libdir}/cutter/module/factory/ui/console_factory.so
%{_libdir}/cutter/module/report/xml.so
%{_libdir}/cutter/module/stream/
%{_libdir}/cutter/module/ui/console.so
%{_libdir}/libcutter.so.*
%{_libdir}/libcppcutter.so.*
%{_libdir}/libsoupcutter.so.*
%{_libdir}/libgdkcutter-pixbuf.so.*
%{_mandir}/man1/*
%dir %{_datadir}/cutter
%dir %{_datadir}/cutter/icons
%dir %{_datadir}/cutter/license
%{_datadir}/cutter/icons/*
%{_datadir}/cutter/license/*

%files devel
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/cutter/
%dir %{_includedir}/cutter
%{_includedir}/cutter/*
%{_libdir}/libcutter.so
%{_libdir}/libcppcutter.so
%{_libdir}/libsoupcutter.so
%{_libdir}/libgdkcutter-pixbuf.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%dir %{_datadir}/cutter
%dir %{_datadir}/cutter/stack
%{_datadir}/cutter/stack/*

%files gui
%defattr(-,root,root)
%{_libdir}/cutter/module/factory/ui/gtk_factory.so
%{_libdir}/cutter/module/ui/gtk.so
%dir %{_datadir}/cutter/ui
%{_datadir}/cutter/ui/*

%files report
%defattr(-,root,root)
%{_libdir}/cutter/module/factory/report/pdf_factory.so
%{_libdir}/cutter/module/report/pdf.so

%files gstreamer
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/libgstcuttertest.so

%changelog
* Sat Apr 20 2013 Ken <lxgator at gmail dot com> 1.2.2-1pclos2013
- initial build - import Fedora spec
